%global srcname epam
# The Fedora Erlang convention is to avoid separating the debug symbols:
# https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines
%global debug_package %{nil}


Name:       erlang-p1_pam
Version:    1.0.3
Release:    3%{?dist}

Summary:    Library for ejabberd for PAM authentication support
License:    ASL 2.0
URL:        https://github.com/processone/epam/
Source0:    https://github.com/processone/epam/archive/%{version}/epam-%{version}.tar.gz
# Load epam from this package rather than from ejabberd.
# See https://bugzilla.redhat.com/show_bug.cgi?id=1337216 and
# https://github.com/processone/epam/issues/4
Patch0:     0001-Load-epam-from-the-package-s-own-path-rather-than-ej.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: erlang-rebar
BuildRequires: pam-devel


%description
An Erlang library for ejabberd that helps with PAM authentication.


%prep
%setup -q -n epam-%{version}

%patch0 -p1


%build
autoreconf -ivf

%configure

%{erlang_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin
install -pm755 priv/bin/epam $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin/


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}/


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3 (#1415854).
- License changed to ASL 2.0 from GPLv2.
- https://github.com/processone/epam/blob/master/CHANGELOG.md
- Rebase PAM loading patch on 1.0.3.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 22 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Patch to load epam from this package rather than ejabberd (#1337216).
- Convert this package to use the new erlang macros.

* Wed Feb 17 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Raise to version 1.0.0.

* Fri Jan 01 2016 Randy Barlow <rbarlow@redhat.com> - 0-1.20150223gitd3ce290b
- Initial release.
